
char rfidtag[12]; // 12, no Termination will be saved...
int offset = 0;

void setupRFID() {
  pinMode(7, INPUT); //RFID In
  rfid.begin(9600);   
}

void rfid_read()
{
  if (rfid.available() > 0)
  {
    char c = rfid.read();
    int cInt = ((int) c);
    if (cInt == 2 || cInt == 0 || cInt == 13) { //r, n
      rfidtag[offset] = 0;
      if (c == '\r')
      {
        Serial.print("= ");
        Serial.println(rfidtag);
        
        boolean check = check_rfidtag();
      }
      offset = 0;
    } else {
      rfidtag[offset++] = c;
    }
  }
}

boolean check_rfidtag() {
  char checkme[13] = "450052E4BD4E"; //12 + 1 {0}!
  
  if (strcmp(rfidtag, checkme) == 0) { // 0 is equal!
    Serial.println("User is okay.");
    send2brainbox("rfid", "1");
    return true;
  } else {
    Serial.println("User is unknown. No access.");
    send2brainbox("rfid", "0");
    return false;
  }
}

