void send2brainbox(String id, String val) {
  Serial.print("Send to Brainbox: ");
  Serial.print("#");
  Serial.print(id);
  Serial.print(" = ");
  Serial.println(val);
  
  // start the Ethernet connection:
  Ethernet.begin(mac, ip);
  
  // if you get a connection, report back via serial:
  if (client.connect()) {
    
    String jsonstr = "{\"id\": \"" + id + "\", \"value\": "+val+"}";
    int len = jsonstr.length();
    
    // Make a HTTP request:
    client.println("POST /Brain/sensor/arduino/ HTTP/1.1");
    client.println("User-Agent: arduino (brainbox)");
    client.println("Host: 192.168.1.100:8080");
    client.println("content-type: application/json");
    client.print("Content-Length: ");
    client.println(len);
    client.println("");
    client.println(jsonstr);
    
    client.stop();
  } 
  else {
    // kf you didn't get a connection to the server:
    Serial.println("brainbox unavailable");
  }
  
  //Serial.println("#last_connect to now!");
}
