package edu.dhbw.inputs;

public class BaseInput {
	private String id;
	private String type;
	private String comment;
	private String input;
	
	//Standard Getters & Setters
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}
	
	public String getInput() {
			return input;
	}

	public void setInput(String input) {
		this.input = input;
	}

	//Working Constructor
	public BaseInput(String id) {
		super();
		this.id = id;
	}
	
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Aktor #"+id + " of type = " + getType() +"\n");
		return sb.toString();
	}
	
	public String toJSON() {
		StringBuilder json = new StringBuilder();
		json.append("{\n");
			json.append("\t\"id\": \"" + id + "\",\n");
			json.append("\t\"input\": \"" + input + "\",\n");
			json.append("\t\"type\": \"" + type + "\",\n");
			json.append("\t\"comment\": \"" + comment + "\",\n");

		json.append("}");
		return json.toString();
	}
	
}
