package edu.dhbw.resources;
import org.restlet.resource.ServerResource;

import com.db4o.ObjectContainer;

import edu.dhbw.brainbox.BrainApplication;
  
/** 
 * Base resource class that supports common behaviours or attributes shared by 
 * all resources. 
 *  
 */  
public abstract class BrainBaseResource extends ServerResource {  
  

    /**
     * Returns the database container.
     * Just delegates call to parent Application.
     * 
     * @return database container (ObjectContainer).
     */
    public ObjectContainer getContainer() {
        return ((BrainApplication) getApplication()).getContainer();
    }
  
}  